Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPS8ParserInternal::TableRecursionGuard Class Reference

## Public Member Functions
| TableRecursionGuard (std::deque< int > &stack, const int id)
| ~TableRecursionGuard ()

## Private Member Functions
| TableRecursionGuard (const TableRecursionGuard &)=delete
TableRecursionGuard & | operator= (const TableRecursionGuard &)=delete

## Private Attributes
std::deque< int > & | m_stack

## Constructor & Destructor Documentation

## ◆ TableRecursionGuard() [1/2]

WPS8ParserInternal::TableRecursionGuard::TableRecursionGuard | ( | const TableRecursionGuard & |  | ) |
| private delete

## ◆ TableRecursionGuard() [2/2]

WPS8ParserInternal::TableRecursionGuard::TableRecursionGuard | ( | std::deque< int > & | stack,
|  | const int | id
| ) |  |
| inline

## ◆ ~TableRecursionGuard()

WPS8ParserInternal::TableRecursionGuard::~TableRecursionGuard | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

TableRecursionGuard& WPS8ParserInternal::TableRecursionGuard::operator= | ( | const TableRecursionGuard & |  | ) |
| private delete

## Member Data Documentation

## ◆ m_stack

std::deque<int>& WPS8ParserInternal::TableRecursionGuard::m_stack
| private

Referenced by TableRecursionGuard(), and ~TableRecursionGuard().

The documentation for this class was generated from the following file:

- WPS8.cpp